<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('ventes', function (Blueprint $table) {
            //$table->dropColumn('paye');
        });

        Schema::table('ventes', function (Blueprint $table) {
            $table->string('statut_paiement', 30)->default('en_attente');
            //  $table->decimal('montant_paye', 12, 0)->default(0)->after('statut_paiement');
        });
    }

    public function down(): void
    {
        Schema::table('ventes', function (Blueprint $table) {
            //  $table->dropColumn(['statut_paiement', 'montant_paye']);
        });

        Schema::table('ventes', function (Blueprint $table) {
            // $table->boolean('paye')->default(false)->after('montant');
        });
    }
};
